# 1.0.0

## New features

* Initial release!
* MotionObservable and MotionObserver introduces a custom state channel.
* InlineReadable and InlineWritable properties.
* Stream operators: operator(), map(), filter(), and write().

## Source changes

* [Remove links](https://github.com/material-motion/streams-android/commit/1a88b462bd985da8c66ecef35bfbb4cd4ea7a1dd) (Mark Wei)
* [Observer is now abstract class.](https://github.com/material-motion/streams-android/commit/556359437b7ddc01e9b3fe02e57393ba034cdd75) (Mark Wei)
* [Tests for MotionObservable.](https://github.com/material-motion/streams-android/commit/d5a9b3538e79ca06198172e1628e0efbcda41a90) (Mark Wei)
* [Implement inline properties for android.](https://github.com/material-motion/streams-android/commit/079c346c915111b10a5d683f169b3fa4ecf467a9) (Mark Wei)
* [Convert interfaces to abstract classes.](https://github.com/material-motion/streams-android/commit/1475da3bb3b1a6559e0255a535608e03a81a26b3) (Mark Wei)
* [Implementation of write() in android.](https://github.com/material-motion/streams-android/commit/02902b7cf11036deeb546cc4cf4137a89e9efbd4) (Mark Wei)
* [Implement map() for android.](https://github.com/material-motion/streams-android/commit/7faedcc5ceecc78a015b9cb33d042a5c79f0558a) (Mark Wei)
* [Implement filter() for android.](https://github.com/material-motion/streams-android/commit/e614b749c13452af2ca5894d4d82365f747c4c9c) (Mark Wei)
* [Implement operator() for android.](https://github.com/material-motion/streams-android/commit/15d5c2430557e0a20f2d3acac7cfbca9df4cb65a) (Mark Wei)
* [Implement MotionObservable in android.](https://github.com/material-motion/streams-android/commit/c4c5e45c6ab8f5b0971e3780ef040777b235338c) (Mark Wei)

## API changes

Auto-generated by running:

    apidiff origin/stable release-candidate android library

## Library

*removed* class: `Library`

*removed* constructor: `Library()`

*removed* static final field: `String LIBRARY_NAME`


## InlineReadable<T>

*new* abstract class: `InlineReadable<T>`

*new* constructor: `InlineReadable()`

*new* abstract method: `T read()`


## InlineWritable<T>

*new* abstract class: `InlineWritable<T>`

*new* constructor: `InlineWritable()`

*new* abstract method: `void write(T)`


## MotionObserver<T>

*new* abstract class: `MotionObserver<T>`

*new* constructor: `MotionObserver()`

*new* abstract method: `void next(T)`

*new* abstract method: `void state(int)`


## MotionState

*new* annotation: `@MotionState`


## Operation<T,

*new* abstract class: `Operation<T,`

*new* constructor: `Operation()`

*new* abstract method: `void next(MotionObserver<U>, T)`


## Predicate<T>

*new* abstract class: `Predicate<T>`

*new* constructor: `Predicate()`

*new* abstract method: `boolean evaluate(T)`


## Transformation<T,

*new* abstract class: `Transformation<T,`

*new* constructor: `Transformation()`

*new* abstract method: `U transform(T)`


## MotionObservable<T>

*new* class: `MotionObservable<T>`

*new* constructor: `MotionObservable(Subscriber<MotionObserver<T>>)`

*new* static final field: `int ACTIVE`

*new* static final field: `int AT_REST`

*new* method: `<O> MotionObservable<T> write(O, Property<O, T>)`

*new* method: `<O> MotionObservable<T> write(InlineWritable<T>)`

*new* method: `<U> MotionObservable<U> map(Transformation<T, U>)`

*new* method: `<U> MotionObservable<U> operator(Operation<T, U>)`

*new* method: `MotionObservable<T> filter(Predicate<T>)`



## Non-source changes

* [Automatic changelog preparation for release.](https://github.com/material-motion/streams-android/commit/0996e1e96e0f884984f46a3d9b71e99c443064c0) (Mark Wei)
* [Depend on latest observer 2.0.0.](https://github.com/material-motion/streams-android/commit/73307cb586aeb80a36ad2cb353399e77009af849) (Mark Wei)
* [Separate stream+operators from subscription.](https://github.com/material-motion/streams-android/commit/50afe0cbb30683f7bc44b499289bb2808b9d3cdd) (Mark Wei)
* [Depend on develop-SNAPSHOT.](https://github.com/material-motion/streams-android/commit/0b5a37a163c73523598f74f4eddf9206e62a6bbf) (Mark Wei)
* [callsign](https://github.com/material-motion/streams-android/commit/7cde681851eb1ca07708a52040d3c99e176289ae) (Mark Wei)

